Jump to content

gmmdinesh

Members
  • Content count

    101
  • Joined

  • Last visited

Community Reputation

10 Good

About gmmdinesh

  • Rank
    Forum Junior

My Software

  • Main CAD Product
    AutoCAD
  • Current Product Version
    2015
  • First AutoCAD Version
    AutoCAD 2007
  1. gmmdinesh

    Manual Entry between Lisp Routine.

    Thank you so much.. All of you for your code. Thank Emmanuel..... code was worked perfectly.
  2. gmmdinesh

    Manual Entry between Lisp Routine.

    Thank you so much Emmanuel, It's working perfectly. One more Help, I want to offset two more lines (total 4 lines) with different distances, Please tell me how to change the lisp.
  3. gmmdinesh

    Manual Entry between Lisp Routine.

    Yes still i need to offset two lines both are coming with different colours.. Right now i want to enter the offset distance manually.
  4. Hi Everyone. I have Lisp file to make double offset, offset distance are getting automatically as per lisp. but i want enter that distance manually and that entered value will be taken as offset distance. Please anyone tell me how to change this. (defun c:oly (/ l s p e) (command ".undo" "m") (command "-layer" "M" "DELETE-LAYER" "c" "green" "DELETE-LAYER" "" "") (setq l (entlast)) (if (tblsearch "LAYER" "DELETE-LAYER") (while (and (setq s (car (entsel "\nPick Line/Polyline to offset :"))) (wcmatch (cdr (assoc 0 (entget s))) "LINE,*POLYLINE") (setq p (getpoint "\nSpecify offset side :")) ) (foreach x '((1.25 6) (1.75 3)) (command "_.offset" (car x) (ssadd s) "_non" p "") (and (not (= (setq e (entlast)) l)) (entmod (append (entmod (subst '(8 . "DELETE-LAYER") (assoc 8 (entget e)) (entget e) ) ) (list (cons 62 (cadr x))) ) ) (setq l e) ) ) ) (alert "Layer name <DELETE-LAYER> is not found in drawing <!>.") ) (princ) ) Thanks in Advance
  5. gmmdinesh

    Set two scale bar

    But. I have change the size of the scale bar using scale command..
  6. Hi Everyone I have to draw a elevation view as per dimensions, but i need to draw the view with two scale. For horizontal 1:500 and vertical 1:200. Really I don't have an idea how to do this. Please anyone help me. And also please explain briefly about scale.. If i want to draw 10m line on 1:200 scale...can i draw for 10m or need to some calculations for that? Thanks in advance
  7. gmmdinesh

    Title Block Update Automatically

    Awsome!!! It's working perfectly, Thank you so much for your valuable support. Thank you so much.
  8. gmmdinesh

    Title Block Update Automatically

    But the Text, i have get using ATTOUT Command. I't is came like that only. Usually it's coming one apostrophe right? Please give me the corrected text file if you have.
  9. gmmdinesh

    Title Block Update Automatically

    Could you please check the sample file? Att.txt Sample.dwg
  10. gmmdinesh

    Title Block Update Automatically

    I have tested with the same file which i already posted on Post#7
  11. gmmdinesh

    Title Block Update Automatically

    Yes I have same Attribute Block with same name as Text file and the Handle Name also Same. But when i tried to manually it's working (Using ATTIN)
  12. gmmdinesh

    Title Block Update Automatically

    Hello Tharwat, I have changed the code as you posted above, but it's not changed anything. (defun c:AutoAttsUpd ( / *error* _peelstring txt dir opn lst str sel int ent soc pos) ;; Tharwat - 07.Jun.2018 ;; (defun *error* (msg) (and opn (close opn)) (and msg (not (wcmatch (strcase msg) "*BREAK*,*CANCEL*,*EXIT*")) (princ (strcat "\nError => " msg )) ) ) ; (setq txt "Att") ;; text File name ..... <--- REMOVE THIS LINE FROM THE PROGRAM SINCE YOU DON'T NEED IT ANYMORE. (if (and (setq dir "B:\\AppData\\Local\\Autodesk\\Autodesk AutoCAD Map 3D 2014\\R19.1\\enu\\LISP\\Att.txt") ;; YOU SHOULD HAVE THE PATH WITH TWO BACK SLASHES OR ONE FORWARD SLASH. (or (findfile dir) (alert (strcat "Text file was not found in current path => " dir)) ) (setq opn (open dir "r")) (read-line opn) ) (progn (defun _peelstring (string del / str pos lst) (while (setq pos (vl-string-search del string 0)) (setq str (substr string 1 pos) string (substr string (+ pos (1+ (strlen del)))) ) (and str (/= str "") (setq lst (cons str lst))) ) (and string (/= string "") (setq lst (cons string lst))) (reverse lst) ) (while (setq str (read-line opn)) (setq lst (cons (_peelstring str "\t") lst)) ) (and (setq int -1 sel (ssget "_X" (list '(0 . "INSERT") '(66 . 1) (cons 2 (apply 'strcat (mapcar '(lambda (u) (strcat (cadr u) ",")) lst)))))) (while (setq ent (ssname sel (setq int (1+ int)))) (and (setq soc (assoc (cdr (assoc 5 (entget ent))) lst)) (setq soc (cddr soc) pos -1) (princ "\nProcessing ...") (mapcar '(lambda (x) (vla-put-textstring x (nth (setq pos (1+ pos)) soc))) (vlax-invoke (vlax-ename->vla-object ent) 'getattributes)) ) ) ) ) ) (*error* nil) (princ) ) (vl-load-com) Could you please check this.
  13. gmmdinesh

    Title Block Update Automatically

    Hello, Thank you all for your Code, Tharwat,when i tried your code i got error like file not found on current drawing directory. Actually my text file is not placed on current drawing directory. so how to mention the path in lisp? Thanks
  14. gmmdinesh

    Title Block Update Automatically

    Yes, I have a big mother file for all drawings. and i have attached here sample only, my original file is slightly Different from this sample.
  15. gmmdinesh

    Title Block Update Automatically

    Hey Rlx, Thanks for your Code, But I dont want to convert the text file to CSV. If I have A CSV file, Can i Update my title Block without opening the Dialog Box? Thanks
×